<?php
/**
*Promotion customizer options
*
* @package gridchamp
*
*/

if (! function_exists('walkerpress_themeinfo_options_register')) {
	function walkerpress_themeinfo_options_register( $wp_customize ) {
		if(!walkerpress_set_to_premium()){
			require get_template_directory() . '/inc/custom-controls/upgrade-control.php';
			$wp_customize->register_section_type( 'WalkerPress_Customize_Section_Ugrade' );
			$wp_customize->add_section('walkerpress_info_section', 
			 	array(
			        'title' => esc_html__('Theme Information', 'walkerpress'),
			        'priority' => 1,
		
		    	)
			 );

			
            $wp_customize->add_setting( 'walkerpress_info_message_text', 
                array(
                   'sanitize_callback' => 'sanitize_text_field',
                ) 
            );

        $wp_customize->add_control( new Walkerpress_Custom_Text_Control( $wp_customize, 'walkerpress_info_message_text', 
            array(
                'label' => esc_html__( 'Find out more details and  premium features:', 'walkerpress' ),
                'section' => 'walkerpress_info_section',
                'settings' => 'walkerpress_info_message_text',
                'description' => '',
                'type' => 'walkerpress-custom-text',
                
            ) )
        );
        $walkerpress_info = '';
	    $walkerpress_info.='<ul classs="features-list"><li class="walkerpress-info-row list"><label class="row-element">'.esc_html__('4 Header Layout','walkerpress').'</li>';
	    $walkerpress_info.='<li class="walkerpress-info-row list"><label class="row-element">'.esc_html__('9 Slider/banner Layout','walkerpress').'</li>';
	    $walkerpress_info.='<li class="walkerpress-info-row list"><label class="row-element">'.esc_html__('8 Custom Widgets','walkerpress').'</li>';
	    $walkerpress_info.='<li class="walkerpress-info-row list"><label class="row-element">'.esc_html__('Dynamic Sidebar for Homepage content section and their individual sidebar section','walkerpress').'</li>';
        $walkerpress_info.='<li class="walkerpress-info-row list"><label class="row-element">'.esc_html__('Multiple Footer Layout with Color Scheme Option','walkerpress').'</li>';
        $walkerpress_info.='<li class="walkerpress-info-row list"><label class="row-element">'.esc_html__('Multiple Layout for inner page Title','walkerpress').'</li>';
        $walkerpress_info.='<li class="walkerpress-info-row list"><label class="row-element">'.esc_html__('Advance Color option for theme','walkerpress').'</li>';
	    $walkerpress_info.='<li class="walkerpress-info-row list"><label class="row-element">'.esc_html__('Post Meta Control for Archive & Single blog Seperately','walkerpress').'</li>';
	    $walkerpress_info.='<li class="walkerpress-info-row list"><label class="row-element">'.esc_html__('Advertisement section enable for each section and posts','walkerpress').'</li>';
	    $walkerpress_info.='<li class="walkerpress-info-row list"><label class="row-element">'.esc_html__('Related Post Enable/disable option','walkerpress').'</li>';
	    $walkerpress_info.='<li class="walkerpress-info-row list"><label class="row-element">'.esc_html__('Sidebar Panel for Secondary Menu or content','walkerpress').'</li>';
        $walkerpress_info.='<li class="walkerpress-info-row list"><label class="row-element">'.esc_html__('Button Setting Option','walkerpress').'</li>';
        $walkerpress_info.='<li class="walkerpress-info-row list"><label class="row-element">'.esc_html__('Menu Color Setting Option','walkerpress').'</li>';
        $walkerpress_info.='<li class="walkerpress-info-row list"><label class="row-element">'.esc_html__('Topbar color Setting Option','walkerpress').'</li>';
        $walkerpress_info.='<li class="walkerpress-info-row list"><label class="row-element">'.esc_html__('Social media multiple Layout and color option','walkerpress').'</li>';
        $walkerpress_info.='<li class="walkerpress-info-row list"><label class="row-element">'.esc_html__('Content Width Option and More...','walkerpress').'</li></ul>';
	    $walkerpress_info .= '<span class="walkepress-info-row"><label class="row-element"> </label><a class="button walkerpress-pro-button theme-info" href="' . esc_url( 'https://walkerwp.com/walkerpress/' ) . '" target="_blank">' . esc_html__( 'More Features', 'walkerpress' ) . '</a></span>';
        

        $wp_customize->add_setting( 'walkerpress_upsell_info', array(
            'default'           => '',
            'sanitize_callback' => 'wp_kses_post',
        ) );

        $wp_customize->add_control( new Walkerpress_Custom_Text_Control( $wp_customize, 'walkerpress_upsell_info', array(
	        'section' => 'walkerpress_info_section',
	        'label'   => $walkerpress_info,
	        'type' => 'walkerpress-custom-text',
	    ) ) );

	}
  }
}
add_action( 'customize_register', 'walkerpress_themeinfo_options_register' );